/*
   ProgEx13  In this project lets create a C++ Dll and see how to access it from
   PowerBASIC code.  First follow my earlier directions on creating a C++ Dll
   Project using whatever development environment you are using.  Make sure you
   choose C++ as the Dll type and save the file with a .cpp extension.  
   Actually, so everything works correctly while you are learning this you may 
   be ahead to just name the files as I have here and use the same build 
   directory for both the C++ Dlls and the PowerBASIC host programs.  This Dll
   and directory should then be named ProgEx13.dll and \ProgEx13.  I named this
   cpp file dllMain.cpp and if you named the project ProgEx13 then it will
   compile to ProgEx13.dll.
   
   The following short code simply declares and implements an exported Print
   function that takes a char pointer as a parameter and uses printf to write it
   to the console.  While its not terribly useful in itself, it will serve to
   learn about dlls.  What's noteworthy in it is the declare showing one good 
   way to export a function from a C or C++ dll.  The extern "C" part tells the
   compiler not to mangle the exported function name as C++ compilers are wont 
   to do to support function overloading.  So with extern "C" and the 
   declspec(dllexport) attribute the function will be exported and visible to
   other compilers as 'Print'.  Please compile this to a Dll now.
   
   My narritive will now jump to dllHost.bas
*/

#include <stdio.h>
extern "C" __declspec(dllexport) void Print(char*); //Exported Function Declare

void Print(char* msg)
{
 printf("%s\n",msg);
}
